Class Fox::FXDelegator

In: | FXDelegator.rb
Parent: | FXObject

A delegator forwards messages to a delegate object. Delegators are used when you need to multiplex messages toward any number of target objects. For example, many controls may be connected to FXDelegator, instead of directly to the document object. Changing the delegate in FXDelegator will then reconnect the controls with their new target.

Methods

new

Attributes

delegate | [RW] | The object to which all messages are delegated [FXObject]

Public Class methods

new(delegate=nil) {|theDelegate| ...}

Construct a new delegator